<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginHiddenInputConfigView extends AdminPluginTemplatedView
	{

		function PluginHiddenInputConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "hiddeninput", "hiddeninput" );
		}
		
		function render()
		{
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_hiddeninput_enabled" );
			$hiddenFields = $blogSettings->getValue( "plugin_hiddeninput_hiddenfields" );
			$emptyFields = $blogSettings->getValue( "plugin_hiddeninput_emptyfields" );
			if ($hiddenFields == "") $hiddenFields = "GetOutSpammer,GoHellSpammer";
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "hiddenFields", $hiddenFields );
			$this->setValue( "emptyFields", $emptyFields );
			
			parent::render();
		}
	}
?>